--[[
LuCI - Lua Configuration Interface

Copyright 2015 Andrew Smith
Copyright 2013 Xiangfu
Copyright 2008 Steven Barth <steven@midlink.org>
Copyright 2008 Jo-Philipp Wich <xm@leipzig.freifunk.net>

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

$Id$
]]--
f = SimpleForm("cgminerstatus", translate("Miner Status"))
f.reset = false
f.submit = false

t = f:section(Table, luci.controller.cgminer.summary(), translate("Summary"))
t:option(DummyValue, "Elapsed", translate("Elapsed"))
t:option(DummyValue, "GHS paid", translate("GH/S(paid)"))
t:option(DummyValue, "GHS 5s", translate("GH/S(5s)"))
t:option(DummyValue, "GHS 5m", translate("GH/S(5m)"))
t:option(DummyValue, "GHS 15m", translate("GH/S(15m)"))
t:option(DummyValue, "GHS av", translate("GH/S(avg)"))
t:option(DummyValue, "Found Blocks", translate("FoundBlocks"))
t:option(DummyValue, "Hardware Errors", translate("HW"))
t:option(DummyValue, "Device Hardware%", translate("HW%"))
t:option(DummyValue, "Utility", translate("Utility"))
t:option(DummyValue, "Work Utility", translate("WU"))
t:option(DummyValue, "Best Share", translate("BestShare"))

t2 = f:section(Table, luci.controller.cgminer.pools(), translate("Pools"))
t2:option(DummyValue, "POOL", translate("Pool"))
t2:option(DummyValue, "URL", translate("URL"))
t2:option(DummyValue, "User", translate("User"))
t2:option(DummyValue, "Status", translate("Status"))
t2:option(DummyValue, "Priority", translate("Priority"))
t2:option(DummyValue, "Bad Work", translate("BadWork"))
t2:option(DummyValue, "Difficulty Accepted", translate("DiffA#"))              
t2:option(DummyValue, "Difficulty Rejected", translate("DiffR#"))              
t2:option(DummyValue, "Difficulty Stale", translate("DiffS#"))
t2:option(DummyValue, "Diff1 Shares", translate("Diff1#"))          
t2:option(DummyValue, "Last Share Difficulty", translate("LSDiff"))
t2:option(DummyValue, "Last Share Time", translate("LSTime"))
t2:option(DummyValue, "Accepted", translate("Accepted"))
t2:option(DummyValue, "Rejected", translate("Rejected"))
t2:option(DummyValue, "Stale", translate("Stale"))

t1 = f:section(Table, luci.controller.cgminer.devs(), translate("AntMiner"))  
t1:option(DummyValue, "chain", translate("Chain#") )
t1:option(DummyValue, "asic", translate("ASIC#"))
t1:option(DummyValue, "frequency", translate("Frequency"))
t1:option(DummyValue, "temp", translate("Temp"))
t1:option(DummyValue, "status", translate("ASIC status"))

t1 = f:section(Table, luci.controller.cgminer.devs(), translate(""))  
t1:option(DummyValue, "fan_name", translate("Fan#") )
t1:option(DummyValue, "fan1", translate("Fan1") )
t1:option(DummyValue, "fan2", translate("Fan2") )
t1:option(DummyValue, "fan3", translate("Fan3") )
t1:option(DummyValue, "fan4", translate("Fan4") )

t1 = f:section(Table, luci.controller.cgminer.devs(), translate(""))  
t1:option(DummyValue, "miner_count", translate("MinerCount") )
t1:option(DummyValue, "asic_count", translate("AsicCount") )
t1:option(DummyValue, "timeout", translate("Timeout") )
t1:option(DummyValue, "freq", translate("Frequency") )
t1:option(DummyValue, "regdata", translate("RegData") )
t1:option(DummyValue, "voltage", translate("Voltage") )
t1:option(DummyValue, "opt_bitmain_beeper", translate("Beeper") )
t1:option(DummyValue, "opt_bitmain_tempoverctrl", translate("TempControl") )
t1:option(DummyValue, "opt_bitmain_workdelay", translate("WorkDelay") )

return f